Loading...
Searching...
No Matches
jsMsgMetaData Struct Reference
Types

`#include <nats.h>`

## Public Attributes

jsSequencePair | Sequence
uint64_t | NumDelivered
uint64_t | NumPending
int64_t | Timestamp
char * | Stream
char * | Consumer
char * | Domain

## Detailed Description

This represents the JetStream metadata associated with received messages.

See also
  natsMsg_GetMetaData
  jsMsgMetaData_Destroy

## Member Data Documentation

## Sequence

jsSequencePair jsMsgMetaData::Sequence

## NumDelivered

uint64_t jsMsgMetaData::NumDelivered

## NumPending

uint64_t jsMsgMetaData::NumPending

## Timestamp

int64_t jsMsgMetaData::Timestamp

## Stream

char* jsMsgMetaData::Stream

## Consumer

char* jsMsgMetaData::Consumer

## Domain

char* jsMsgMetaData::Domain

The documentation for this struct was generated from the following file:

- nats.h